Debian WheezyにRMagickをインストール
タグ: ruby / 初版公開: 2013-12-19

RubyからImageMagickを使えるRMagickはネイティブエクステンションだ。ImageMagickの開発用のパッケージと強く依存しており、インストールにひと手間かかる。

Gemをビルドする基本的な環境は整っている前提。いろいろ試行錯誤したところ、RMagick固有の依存ライブラリはDebianならlibmagick++-devでまとめてインストールできるようだ。以下でRMagickが使えるようになるはずである。

apt-get install libmagick++-dev
gem install rmagick